import utils from '../common/request.js'
export default {
	//政策公告
	getInfo(data){
	    return utils.requestEn(`/wx/api/veterans/getNoticeServiceList`, data, 'POST')
	},
	
	//政策公告  新闻详情
	getNewsInfo(data){
	    return utils.requestEn(`/wx/api/veterans/getNoticeInfo/${data}`)
	},
	
	//热线电话
	getTelInfo(data){
	    return utils.requestEn(`/wx/api/veterans/getTelInfo`, data)
	},
	
	//拥军联盟企业
	getYongJun(data){
	    return utils.requestEn(`/wx/api/shops/getList`, data, 'POST')
	},
	
	//拥军联盟企业 店铺详情
	getYongJunDetails(data){
	    return utils.requestEn(`/wx/api/shops/getInfo/${data}`)
	},
	//拥军联盟企业 商品列表
	getGoodsInfo(data){
	    return utils.requestEn(`/wx/api/shops/getGoodsList`, data, 'POST')
	},
	//拥军联盟企业 商品详情
	getGoodsDetails(data){
	    return utils.requestFn(`/wx/api/shops/getGoodsInfo/${data}`)
	},
	
	//身份认证
	getUserIdCard(data){
	    return utils.requestFn(`/wx/api/veterans/register`, data, 'POST')
	},
	
	//身份认证 详情
	getRegister(data,type){
	    return utils.requestFn(`/wx/api/veterans/info/${data}/${type}`)
	},
	
	//军人端 消息
	getNews(data){
	    return utils.requestFn(`/wx/api/msg/getMsgList`, data, 'POST')
	},
	
	//军人端 我的
	getMe(data,type){
	    return utils.requestFn(`/wx/api/veterans/info/${data}/${type}`)
	},
	
	//军人端 我的 二维码
	getUserQrCode(data,type){
	    return utils.requestFn(`/wx/api/veterans/getUserQrCode/${data}/${type}`)
	},
	
	//军人端 我的 军属列表
	getUserRelationList(data){
	    return utils.requestFn(`/wx/api/veterans/getUserRelationList`, data, 'POST')
	},
	
	//军人端 我的 军属添加
	getAdd(data){
	    return utils.requestFn(`/wx/api/veterans/addUserRelation`, data, 'POST')
	},
	
	//军人端 我的 军属详情
	getUserRelationInfo(data){
	    return utils.requestFn(`/wx/api/veterans/getUserRelationInfo/${data}`)
	},
	
	//军人端 我的 军属修改
	updateUserRelation(data){
	    return utils.requestFn(`/wx/api/veterans/updateUserRelation`, data, 'POST')
	},
	
	//军人端 我的 军属删除
	getDel(data){
	    return utils.requestFn(`/wx/api/veterans/deleteUserRelationInfo/${data}`)
	},
	
	//军人端 我的 军属关系
	getRelationInfoList(data){
	    return utils.requestFn(`/wx/api/veterans/getRelationInfoList`, data)
	},
	
	//军人端 我的 优惠记录
	getMyself(data){
	    return utils.requestFn(`/wx/api/order/getMyself`, data, 'POST')
	},
	
	//店铺端 首页 二维码页面
	getCode(data){
	    return utils.requestFn(`/wx/api/order/getQrcode`, data, 'POST')
	},
	
	//店铺端 首页 添加店铺信息
	getAddShops(data){
	    return utils.requestFn(`/wx/api/shops/addShops`, data, 'POST')
	},
	
	//店铺端 首页 二维码页面 修改店铺优惠金额
	getMoney(data){
	    return utils.requestFn(`/mobile/box/getPutBox`, data)
	},
	
	//店铺端 首页 优惠记录
	getIndexDetails(data){
	    return utils.requestFn(`/wx/api/order/getShopsList`, data, 'POST')
	},
	
	// 添加优惠记录
	addOrderInfo(data){
	    return utils.requestFn(`/wx/api/order/addOrderInfo`, data, 'POST')
	},
	
	//店铺端 首页 修改店铺信息
	getIndexData(data){
	    return utils.requestFn(`/wx/api/shops/updateShops`, data, 'POST')
	},
	
	//店铺端 商品管理 添加商品
	getSPGoodsAdd(data){
	    return utils.requestFn(`/wx/api/shops/addGoods`, data, 'POST')
	},
	
	//店铺端 商品管理 修改商品
	getUodateGoods(data){
	    return utils.requestFn(`/wx/api/shops/uodateGoods`, data, 'POST')
	},
	
	//店铺管理端 店铺审核 未审核
	getManageShopList(data){
	    return utils.requestFn(`/wx/api/shops/getList`, data, 'POST')
	},
	
	//店铺管理端 商品审核 列表
	getShenGoodsList(data){
	    return utils.requestFn(`/wx/api/shops/getGoodsList`, data, 'POST')
	},
	
	//店铺管理端 商铺详情
	getInfonew(data){
	    return utils.requestFn(`/wx/api/shops/getInfonew/${data}`)
	},
	
	//店铺管理端 商品详情
	getGoodsInfonew(data){
	    return utils.requestFn(`/wx/api/shops/getGoodsInfonew/${data}`)
	},
	
	//店铺管理端 账户审核 列表
	getAccountList(data){
	    return utils.requestFn(`/wx/api/veterans/infoList`, data, 'POST')
	},
	
	//店铺管理端 账户审核 （通过）
	getAccountPass(data){
	    return utils.requestFn(`/wx/api/veterans/uploadInfo`, data, 'POST')
	},
	
	//注册 军人身份类别{{dictType: 'basics_level'}
	getUploadInfo(data){
	    return utils.requestFn(`/system/dict/data/select`, data)
	},
	//管理端 军人检索
	getInfoList(data){
	    return utils.requestFn(`/wx/api/veterans/infoList`, data, 'POST')
	},
	//管理端 军人检索 地图打点
	getNearby(data){
	    return utils.requestFn(`/wx/api/veterans/nearby/${data}`)
	},
	//店铺类型  列表
	getDic(data){
	    return utils.requestFn(`/wx/api/shops/getDic`, data)
	},
	//店铺 消费明细
	getDetailedList(data){
	    return utils.requestFn(`/wx/api/shops/getDetailedList`, data)
	},
	//服务站列表
	getServiceList(data){
	    return utils.requestFn(`/wx/api/order/getServicelist`, data)
	},
}